#!/bin/bash

timestamp=$(date +%Y%m%d%H%M)
max_evaluations=10000

# echo the command line calls to run
tasks (){
    domain=$1
    # note: "'{1}'" protects paths that contain whitespaces.

    parallel echo ./plan.py -v --max-evaluations ${max_evaluations} {1} "'{2}'" {3} \
             ::: "" --use-best-mse-checkpoint \
             ::: training_json/${domain}_NLM_truncated*lmcut*_400_*.json \
             ::: data/${domain}/plan/*.pddl

    parallel echo ./plan.py -v --max-evaluations ${max_evaluations} {1} --l-test {2} "'{3}'" {4} \
             ::: "" --use-best-mse-checkpoint \
             ::: lmcut ninf \
             ::: training_json/${domain}_NLM_gaussian*lmcut*_400_*.json \
             ::: data/${domain}/plan/*.pddl

}

# pass the commands to a job scheduler like:
# ./plan_all.sh | parallel [job submission commands...]

tasks blocksworld

tasks satellite

tasks logistics
