#!/bin/bash

# echo the command line calls to run

(
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn fixed \
             ::: --res ::: zero ff \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.01 \
             ::: NLM \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # smaller dataset
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 100 \
             ::: --sigma ::: learn \
             ::: --res ::: ff \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.01 \
             ::: NLM \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # different l
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn \
             ::: --res ::: ff \
             ::: --l ::: blind hmax \
             ::: --lr ::: 0.01 \
             ::: NLM \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # different res
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn \
             ::: --res ::: lmcut \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.01 \
             ::: NLM \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite

)

(
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn fixed \
             ::: --res ::: zero ff \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.001 \
             ::: HGN \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # smaller dataset
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 100 \
             ::: --sigma ::: learn \
             ::: --res ::: ff \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.001 \
             ::: HGN \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # different l
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn \
             ::: --res ::: ff \
             ::: --l ::: blind hmax \
             ::: --lr ::: 0.001 \
             ::: HGN \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # different res
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn \
             ::: --res ::: lmcut \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.001 \
             ::: HGN \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite

)

(
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn fixed \
             ::: --res ::: zero ff \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.01 \
             ::: RR \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # smaller dataset
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 100 \
             ::: --sigma ::: learn \
             ::: --res ::: ff \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.01 \
             ::: RR \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # different l
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn \
             ::: --res ::: ff \
             ::: --l ::: blind hmax \
             ::: --lr ::: 0.01 \
             ::: RR \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite
    # different res
    parallel echo ./train.py --verbose --if-ckpt-does-not-exist create --if-ckpt-exists resume \
             ::: --seed ::: 42 100 200 300 400 \
             ::: --train-size ::: 400 \
             ::: --sigma ::: learn \
             ::: --res ::: lmcut \
             ::: --l ::: lmcut \
             ::: --lr ::: 0.01 \
             ::: RR \
             ::: gaussian truncated \
             ::: blocksworld logistics satellite

)

# pass the commands to a job scheduler like:
# ./train_all.sh | parallel [job submission commands...]

