# parameters for generating interesting instances
#
# days      :  30
# planes    :  3*days
# mechanics :   1
# hubs      :   3
# visits    :   5
# instances : 100
#
# if the number of visits is made smaller, it becomes less likely that
# a schedule exists. With sufficiently few visits by the airplanes to
# the chosen airports, almost certainly no schedules exist. Also, with 
# far more planes than 3*days no maintenance visits can be scheduled
# for some of the planes, turning the problem not solvable.
# Increasing the number of planes past 3*days and simultaneously increasing
# the number of visits keeps the problem solvable and probably also
# challenging, but we have not investigated the impact of different
# parameter combinations on the difficulty of the problem.

./maintenance 60 180 1 3 5 100
./maintenance 80 240 1 3 5 100
./maintenance 100 300 1 3 5 100
./maintenance 120 360 1 3 5 100
./maintenance 140 420 1 3 5 100
./maintenance 160 480 1 3 5 100
./maintenance 180 540 1 3 5 100
./maintenance 200 600 1 3 5 100



maintenance-1-3-010-010-2-001.pddl
maintenance-1-3-015-020-2-001.pddl
maintenance-1-3-010-010-2-000.pddl
maintenance-1-3-010-010-2-002.pddl
maintenance-1-3-015-020-2-002.pddl



maintenance-1-3-100-300-7-001.pddl
maintenance-1-3-200-700-7-002.pddl
maintenance-1-3-060-180-5-000.pddl
maintenance-1-3-100-300-7-002.pddl
maintenance-1-3-200-900-5-000.pddl
maintenance-1-3-060-180-5-001.pddl
maintenance-1-3-150-500-6-001.pddl
maintenance-1-3-200-900-5-001.pddl
maintenance-1-3-060-180-5-002.pddl
maintenance-1-3-200-500-5-001.pddl
maintenance-1-3-200-900-5-002.pddl
maintenance-1-3-100-300-5-000.pddl
maintenance-1-3-200-500-5-002.pddl
maintenance-1-3-200-900-8-000.pddl
maintenance-1-3-100-300-5-001.pddl
maintenance-1-3-200-700-7-000.pddl
maintenance-1-3-200-900-8-001.pddl
maintenance-1-3-100-300-7-000.pddl
maintenance-1-3-200-700-7-001.pddl
maintenance-1-3-200-900-8-002.pddl

